#coding:utf-8
'''
Created on Sep 26, 2014

@author: root
'''

class InfoStruct(object):
    def __init__(self):
        self.dirt = {}
        
    def __getitem__(self, key):
        return self.dirt[key] if key in self.dirt else ""
    
    def __setitem__(self, key, value):  
        self.dirt[key] = value
        
    def __len__(self):
        return len(self.dirt)
    
    def __str__(self):
        return str(self.dirt)
    
class VMInfoStruct(InfoStruct):
    def __init__(self):
        super(VMInfoStruct,self).__init__()